Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1122247

Summary: Review Request: nodejs-xregexp - Extended JavaScript regular expressions
Product: [Fedora] Fedora Reporter: Ralph Bean <rbean>
Component: Package ReviewAssignee: Parag AN(पराग) <panemade>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: package-review, panemade
Target Milestone: ---Flags: panemade: fedora-review+
gwync: fedora-cvs+
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-07-23 18:50:24 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 956806, 1122223    

Description Ralph Bean 2014-07-22 19:06:54 UTC
Spec URL: http://ralph.fedorapeople.org//nodejs-xregexp.spec
SRPM URL: http://ralph.fedorapeople.org//nodejs-xregexp-2.0.0-1.fc20.src.rpm

Description:
XRegExp provides augmented, extensible, cross-browser JavaScript regular
expressions. You get new syntax and flags beyond what browsers support
natively, along with a collection of utils to make your client-side
grepping and parsing easier. XRegExp also frees you from worrying about
pesky inconsistencies in cross-browser regex handling and the dubious
`lastIndex` property.

Comment 1 Parag AN(पराग) 2014-07-23 13:50:32 UTC
Review:

+ mock build is successful for f22.

- rpmlint output on rpms gave
nodejs-xregexp.noarch: W: spelling-error %description -l en_US natively -> naively, negatively, tentatively
nodejs-xregexp.noarch: W: spelling-error %description -l en_US utils -> tills
nodejs-xregexp.noarch: W: spelling-error %description -l en_US regex -> regexp, reg ex, reg-ex
nodejs-xregexp.noarch: W: spelling-error %description -l en_US lastIndex -> last Index, last-index, clandestine
nodejs-xregexp.noarch: W: only-non-binary-in-usr-lib
nodejs-xregexp.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/nodejs-xregexp/README.md
nodejs-xregexp.src: W: spelling-error %description -l en_US natively -> naively, negatively, tentatively
nodejs-xregexp.src: W: spelling-error %description -l en_US utils -> tills
nodejs-xregexp.src: W: spelling-error %description -l en_US regex -> regexp, reg ex, reg-ex
nodejs-xregexp.src: W: spelling-error %description -l en_US lastIndex -> last Index, last-index, clandestine
2 packages and 0 specfiles checked; 0 errors, 10 warnings.

+ Source verified with upstream as (sha256sum)
srpm tarball     :294789d762922caca62fa1836789c3bc7822661f7b9f6e9c653a5ca6e4b6ad88
upstream tarball :294789d762922caca62fa1836789c3bc7822661f7b9f6e9c653a5ca6e4b6ad88

+ License "MIT" is valid and is included in its own file as %doc

+ rest looks following packaging guidelines.

Suggestions:
1) Please fix rpmlint wrong-file-end-of-line-encoding warning before package import.

2) Include MIT-LICENSE.txt as %doc file.

Observed that .js file also having all lines ending ^M character.


APPROVED.

Comment 2 Ralph Bean 2014-07-23 14:38:31 UTC
New Package SCM Request
=======================
Package Name: nodejs-xregexp
Short Description: Extended JavaScript regular expressions
Upstream URL: https://npmjs.org/package/xregexp
Owners: ralph
Branches: f21,f20,f19,epel7
InitialCC:

Comment 3 Gwyn Ciesla 2014-07-23 16:51:02 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2014-07-23 18:47:14 UTC
nodejs-xregexp-2.0.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-xregexp-2.0.0-1.fc20

Comment 5 Fedora Update System 2014-07-23 18:47:24 UTC
nodejs-xregexp-2.0.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-xregexp-2.0.0-1.fc19

Comment 6 Ralph Bean 2014-07-23 18:50:24 UTC
Buildroot overrides have been created.

Comment 7 Fedora Update System 2014-08-15 02:54:32 UTC
nodejs-xregexp-2.0.0-1.fc19 has been pushed to the Fedora 19 stable repository.

Comment 8 Fedora Update System 2014-08-15 02:55:03 UTC
nodejs-xregexp-2.0.0-1.fc20 has been pushed to the Fedora 20 stable repository.